JBoss API: Class EntityProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class EntityProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp.interfaces.EntityProxy

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  EntityProxy, EntityProxy

public class EntityProxy
extends BeanProxy

An EJB entity bean proxy class.

Version:
  $Revision: 1.24 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Field Summary
`protected CacheKey` | `cacheKey` The primary key of the entity bean.

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, IS_IDENTICAL`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`EntityProxy()` No-argument constructor for externalization.
`EntityProxy(java.lang.String name, ContainerRemote container, java.lang.Object id, boolean optimize)` Construct a `EntityProxy`.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)` InvocationHandler implementation.
`void` | `readExternal(java.io.ObjectInput in)` Externalization support.
`void` | `writeExternal(java.io.ObjectOutput out)` Externalization support.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`getEJBHome, isIdentical`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, removeLocal, setTPCFactory, setTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cacheKey

    protected CacheKey cacheKey

  The primary key of the entity bean.

Constructor Detail

### EntityProxy

    public EntityProxy()

  No-argument constructor for externalization.

### EntityProxy

    public EntityProxy(java.lang.String name,
                       ContainerRemote container,
                       java.lang.Object id,
                       boolean optimize)

  Construct a `EntityProxy`.
  Parameters:
    `name` - The JNDI name of the container that we proxy for.
    `container` - The remote interface of the invoker for which this is a proxy for.
    `id` - The primary key of the entity.
    `optimize` - True if the proxy will attempt to optimize VM-local calls.
  Throws:
    `NullPointerException` - Id may not be null.

Method Detail

### invoke

    public final java.lang.Object invoke(java.lang.Object proxy,
                                         java.lang.reflect.Method m,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

  InvocationHandler implementation.
  Parameters:
    `proxy` - The proxy object.
    `m` - The method being invoked.
    `args` - The arguments for the method.
  Throws:
    `java.lang.Throwable` - Any exception or error thrown while processing.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Externalization support.
  Overrides:
    `writeExternal` in class `GenericProxy`
  Parameters:
    `out` -
  Throws:
    `java.io.IOException` -

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Externalization support.
  Overrides:
    `readExternal` in class `GenericProxy`
  Parameters:
    `in` -
  Throws:
    `java.io.IOException` -
    `java.lang.ClassNotFoundException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.